[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# MessageDlgPosHelp

An extended MessageDlgPos function.

## Declaration

Source position: dialogs.pp line 497

`function MessageDlgPosHelp(`
`const aMsg: String;`
`DlgType: TMsgDlgType;`
`Buttons: TMsgDlgButtons;`
`HelpCtx: LongInt;`
`X: Integer;`
`Y: Integer;`
`const HelpFileName: String`
`):Integer;`

## Arguments

`aMsg` |  | The message to be shown.
`DlgType` |  | The type of dialog to be shown
`Buttons` |  | Determines the buttons shown on the messagedialog
`HelpCtx` |  | HelpCtx is used to specify which topic from the help should be shown.
`X` |  | X specifies the position of the left side of the dialog
`Y` |  | Y specifies the position of the top side of the dialog
`HelpFileName` |  | The Helpfile that has to be shown when the user presses F1

## Function result

The result of this function is the button the user pressed to close the dialog.

## Description

This function enables you to specify a Helpfile which has to be shown when the user presses F1.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .